**`Ullas A Indi`[NAME]** -NL- Ittiam Systems Pvt. Ltd, B’lore | **`+91 9611849964`[PHONES_PHONE]** | **`indiullas133@gmail.com`[EMAILS_EMAIL]** -NL- **`Objective`[SUMMARY_HEADING]** -NL- Curious problem solver with a strong engineering background. Enthusiastic about -NL- designing algorithms/solutions and debugging them. Interests include video codecs, -NL- signal processing and embedded systems. I am a team player with an open mind towards -NL- problem solving with focus on delivering results. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`B-tech`[EDUCATION_DEGREE]** | 2011-2015 | **`National Institute of Technology Karnataka Surathkal`[EDUCATION_INSTITUTE]** -NL- CGPA: 8.86/10 -NL- · Major: **`Electrical and Electronics Engineering`[EDUCATION_COURSE]** -NL- 12th | 2009-2011 | **`Sri Bhagawan Mahaveer Jain Pre-University College, Bengaluru`[EDUCATION_INSTITUTE]** -NL- 94.75% -NL- · Major: Physics, Chemistry, Math, Electronics -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- · Design Environment: Microsoft Visual Studio -NL- · Languages: C, Python -NL- · Analysis Tools: CodecVisa, Elecard StreamEye, MATLAB -NL- · Version Control Systems: CVS, git -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Video Codec Engineer`[EMPLOYER_ROLE]** | Ittiam Systems Pvt Ltd | July 2015-Present -NL- · Optimized various modules of Ittiam’s HEVC Encoder for x86 Intel platforms using Intel -NL- Intrinsics based SSE4.2, AVX and AVX2 instruction sets. -NL- · Developed test bench codes for faster verification of optimized modules. -NL- · Added multi thread implementation of certain modules in Ittiam’s VP9 encoder. -NL- · Implemented Look Ahead Processing module in Ittiam’s VP9 encoder for compressed -NL- video quality enhancement. -NL- · Developed scripts to automate the testing of optimized VP9 encoder for various test -NL- vectors and corner cases. -NL- · Good understanding of VP9 rate control module. -NL- **`Academic Projects`[OTHERS_HEADING]** -NL- **`Automatic Traffic Management System with Beagleboard-xM`[PROJECT_TITLE]** -NL- · Extraction of the registration number plate area of the vehicles which jump the red -NL- traffic signal using various image processingfilters. -NL- · Involved use of BeagleBoard-xM and camera. -NL- **`Detection of QRS Complexes in ECG signal`[PROJECT_TITLE]** -NL- · Implementation of Pan Tompkins algorithm to detect QRS complexes and extract -NL- various features like periodicity, unusual occurrences of peaks which are impulsive in -NL- nature, beats per minute and their locations in time. -NL- · Data used for processing was taken from MIT ECG database. -NL- **`Programmable Video Switcher`[PROJECT_TITLE]** -NL- · Involved designing a programmable video switcher circuit that can switch videos -NL- automatically from two input feeds to the output feed(s) with switching time controlled -NL- by programming the microcontroller. The video signal rate is 3 Gbps. -NL- · Project was assigned and mentored by Ittiam Systems. Did not involve any hardware -NL- realization of video switcher. All designs were carried out using cadence. -NL- · Understood the design and implementation of circuit design stages in the process. -NL- **`Smart room`[PROJECT_TITLE]** -NL- · A miniature automated room design using ATMEGA8 microcontroller consisting of -NL- different LED lighting modes with varying intensities realized using Pulse width -NL- modulation techniques, automatic switching of the ambient lighting system depending -NL- on the presence of person(s) inside the room and the temperature monitoring system -NL- with digital thermometer readings made available on LCD. -NL- **`Relevant Courses`[SKILLS_HEADING]** -NL- Academic Coursework -NL- · Engineering Mathematics, Linear Algebra and Matrices, Signals and Systems, Linear -NL- Integrated Circuits, Digital Signal Processing, Linear and Digital Control Theory, Digital -NL- System Design, Probability Theory and Applications. -NL- Independent Coursework -NL- · Circuits and Electronics (6.002x-MITx), Android Development for Beginners by -NL- Google(Udacity) -NL- **`Extracurricular activities`[OTHERS_HEADING]** -NL- · Event head for ‘Waltz’, an autonomous wall follower bot competition, during NITK -NL- annual tech fest-ENGINEER 2014. -NL- · Member of Robotics Club, NITK Surathkal (2013-2015). -NL- · Member of Electronics Committee for the annual tech fest ‘ENGINEER’ at NITK (2012- -NL- 2015). -NL- · Hobbies include Sketching and painting, playing Congo drums. -NL- **`Additional Info`[OTHERS_HEADING]** -NL- **`Languages Known`[SKILLS_HEADING]** -NL- · Kannada, English, Hindi -NL- Page 2 -NL- 